tpm_nvrelease(8)

NAME
tpm_nvrelease

SYNOPSIS
tpm_nvrelease [OPTIONS]

DESCRIPTION
tpm_nvrelease releases an NVRAM area. The user must provide the index of the NVRAM area. If owner authentication is required then the user must provide the owner password.

Note that some areas cannot be released since they are permanent. Others can be release only after a reboot of the system.

The following options are supported:

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-y, --owner-well-known
    Use a secret of all zeros (20 bytes of zeros) as the owner's secret.

-o, --pwdo
    The owner password.

    A password may be directly provided for example by using '--pwdo=password' or '-opassword'. If no password is provided with this option then the program will prompt the user for the password.

-i, --index
    The index of the NVRAM area that is to be released. The parameter may either be a decimal number or a hexadecimal number starting with '0x'.

SEE ALSO
tpm_nvdefine(8), tpm_nvinfo(8), tpm_nvread(8), tpm_nvwrite(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>